<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxml="urn:schemas-microsoft-com:xslt" version="1.0">
  <xsl:import href="../../../appl/shared/default.xsl"/>
  <xsl:variable name="Rev">
    <!-- Revision van deze cust.xsl -->
    <xsl:value-of select="substring(translate('$Revision$', '$ ', ''), 10)"/>
  </xsl:variable>
  
	<xsl:variable name="Xsrtnotificatiecode">MLDNOB</xsl:variable>

  <xsl:template match="melding" mode="include">
    <table border="0" width="100%" cellpadding="2">
      <tr>
        <td colspan="2" class="caption" style="padding-top:20px;padding-bottom:20px">
          <b><xsl:value-of select="//lcl/MLD/melding"/>&#xA0;<xsl:value-of select="discipline/srtdiscipline/prefix"/><xsl:value-of select="key"/></b>
        </td>
        <td colspan="2" class="caption" style="padding-top:20px;padding-bottom:20px">
          <xsl:if test="spoed&lt;3"><b><xsl:value-of select="//lcl/MLD/spoed"/></b></xsl:if>
        </td>
      </tr>
    <xsl:if test="$srtnotificatiecode = 'MLDNOT' or $srtnotificatiecode = 'MLDNOB'">
      <tr>
        <td colspan="4"><b>Notities:</b></td></tr>
      <xsl:for-each select="notes/note">
      <xsl:sort select="aanmaak/timestamp" order="descending"/>
      <xsl:if test="flag = 1">
        <tr>
        <xsl:choose>
        <xsl:when test="position() = 1">
          <td width="20%">
            <b><xsl:value-of select="aanmaak/datum"/>&#xA0;<xsl:value-of select="aanmaak/tijd"/><br/><xsl:value-of select="noteur/naam_friendly"/></b>
          </td>            
          <td colspan="3">
            <b><xsl:value-of select="omschrijving"/></b>
          </td>
        </xsl:when>
        <xsl:otherwise>
          <td>
            <xsl:value-of select="aanmaak/datum"/>&#xA0;<xsl:value-of select="aanmaak/tijd"/><br/><xsl:value-of select="noteur/naam_friendly"/>          
          </td>           
          <td colspan="3">
            <xsl:value-of select="omschrijving"/>
          </td>        
        </xsl:otherwise>
        </xsl:choose>  
        </tr>
      </xsl:if>  
      </xsl:for-each>
      <tr><td colspan="4"><hr/></td></tr>  
    </xsl:if>      
      <tr>
        <td width="16%"><b><xsl:value-of select="//lcl/FAC/aanvrager"/>:</b></td>
        <td width="34%"><xsl:value-of select="voor/naam_full"/></td>
      </tr>
      <tr>
        <td><b><xsl:value-of select="//lcl/FAC/afdeling"/>:</b></td>
        <td><xsl:value-of select="voor/afdeling/omschrijving"/></td>
      </tr>
      <tr>
        <td><b><xsl:value-of select="//lcl/FAC/kostenplaats"/>:</b></td>
        <td><xsl:value-of select="kostenplaats/nr"/></td>
      </tr>
      <tr><td colspan="4"><hr/></td></tr>
      <tr>
        <td width="16%"><b><xsl:value-of select="//lcl/FAC/locatie"/>:</b></td>
        <td width="34%">
          <xsl:value-of select="plaats/regio/district/locatie/code"/>&#xA0;
          <xsl:if test="plaats/regio/district/locatie/omschrijving!=''">(<xsl:value-of select="plaats/regio/district/locatie/omschrijving"/>)</xsl:if>
        </td>
        <td width="16%"><b><xsl:value-of select="//lcl/MLD/melddatum"/>:</b></td>
        <td width="34%"><xsl:value-of select="gemeld/datum"/>&#xA0;<xsl:value-of select="gemeld/tijd"/></td>
      </tr>
      <tr>
        <xsl:choose>
          <xsl:when test="plaats/@type='T'">
            <td><b><xsl:value-of select="//lcl/FAC/terrein"/>:</b></td>
            <td><xsl:value-of select="plaats/regio/district/locatie/terrein/code"/>-<xsl:value-of select="plaats/regio/district/locatie/terrein/naam"/></td>
          </xsl:when>
          <xsl:otherwise>
            <td><b><xsl:value-of select="//lcl/FAC/gebouw"/>:</b></td>
            <td><xsl:value-of select="plaats/regio/district/locatie/gebouw/code"/>-<xsl:value-of select="plaats/regio/district/locatie/gebouw/naam"/></td>
          </xsl:otherwise>
        </xsl:choose>
        <td><b><xsl:value-of select="//lcl/MLD/ordernr"/>:</b></td>
        <td><xsl:value-of select="kenmerk[@naam='Ordernr']"/></td>
      </tr>
      <tr>
        <xsl:if test="plaats/@type='T' or plaats/@type='G'">
          <td colspan="2"/>
        </xsl:if>
        <xsl:if test="plaats/@type!='T' and plaats/@type!='G'">
          <td><b><xsl:value-of select="//lcl/FAC/bouwlaag"/>:</b></td>
          <td>
            <xsl:value-of select="plaats/regio/district/locatie/gebouw/verdieping/code"/>&#xA0;
            <xsl:if test="plaats/regio/district/locatie/gebouw/verdieping/omschrijving!=''">(<xsl:value-of select="plaats/regio/district/locatie/gebouw/verdieping/omschrijving"/>)</xsl:if>
          </td>
        </xsl:if>
        <xsl:choose>
            <xsl:when test="uitvoertijd[@eenheid='U']">
              <td width="16%" align="right">
                <b><xsl:value-of select="//lcl/MLD/uitvoertijd"/>:</b>
              </td>
              <td width="34%">
                <xsl:value-of select="uitvoertijd"/>&#160;<xsl:value-of select="//lcl/MLD/uren"/>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td width="16%" align="right">
                <b><xsl:value-of select="//lcl/MLD/uitvoertijd"/>:</b>
              </td>
              <td width="34%">
                <xsl:value-of select="uitvoertijd"/>&#160;<xsl:value-of select="//lcl/FAC/dagen"/>
              </td>
            </xsl:otherwise>
        </xsl:choose>
      </tr>
      <tr>
        <xsl:if test="plaats/@type='R'">
          <td><b><xsl:value-of select="//lcl/FAC/ruimte"/>:</b></td>
          <td>
            <xsl:value-of select="plaats/regio/district/locatie/gebouw/verdieping/ruimte/nr"/>&#xA0;
            <xsl:if test="plaats/regio/district/locatie/gebouw/verdieping/ruimte/omschrijving!=''">(<xsl:value-of select="plaats/regio/district/locatie/gebouw/verdieping/ruimte/omschrijving"/>)</xsl:if>
          </td>
        </xsl:if>
        <xsl:if test="plaats/@type!='R'">
          <td colspan="2"/>
        </xsl:if>
        <td><b><xsl:value-of select="//lcl/MLD/status"/>:</b></td>
        <td><xsl:value-of select="status"/></td>
      </tr>
      <tr height="30px"><td colspan="4"/></tr>
      <tr>
        <td><b><xsl:value-of select="//lcl/MLD/stdmelding"/>:</b></td>
        <td><xsl:if test="stdmelding/omschrijving=''">-</xsl:if><xsl:value-of select="stdmelding/omschrijving"/></td>
        <td><b><xsl:value-of select="//lcl/MLD/vakgroep"/>:</b></td>
        <td><xsl:if test="discipline/omschrijving=''">-</xsl:if><xsl:value-of select="discipline/omschrijving"/></td>
      </tr>
      <xsl:comment>als we binnen een opdracht zijn, tonen we de meldingtekst niet</xsl:comment>
      <tr>
        <td><b><xsl:value-of select="//lcl/FAC/omschrijving"/>:</b></td>
        <td colspan="3"><xsl:call-template name="linebreaks"><xsl:with-param name="string" select="omschrijving"/></xsl:call-template></td>
      </tr>
      <xsl:for-each select="kenmerk[@type!='L' and @type!='l' and @type!='Q' and count(@xmlnode)=0]">
        <xsl:sort select="@volgnummer" data-type="number"/>
        <xsl:if test=".!=''">
          <tr>
            <td><b><xsl:value-of select="@naam"/>:</b></td>
            <td colspan="3"><xsl:value-of select="."/></td>
          </tr>
        </xsl:if>
      </xsl:for-each>
      <xsl:if test="count(deel)&gt;0">
        <xsl:for-each select="deel">
          <xsl:sort select="omschrijving"/>
          <tr>
            <xsl:choose>
              <xsl:when test="position()=1"><td><b><xsl:value-of select="//lcl/MLD/objecten"/>:</b></td></xsl:when>
              <xsl:otherwise><td/></xsl:otherwise>
            </xsl:choose>
            <td><xsl:value-of select="omschrijving"/></td>
            <td colspan="2"></td>
          </tr>
        </xsl:for-each>
      </xsl:if>
      <xsl:if test="opmerking!=''">
        <tr>
          <td><b><xsl:value-of select="//lcl/MLD/afhandeling"/>:</b></td>
          <td colspan="3"><xsl:call-template name="linebreaks"><xsl:with-param name="string" select="opmerking"/></xsl:call-template></td>
        </tr>
      </xsl:if>
    </table>
  </xsl:template>
</xsl:stylesheet>
